dpkg returned an error code (2) (Solucionado)

Imagen de gragry
0 puntos

Hola a todos.

Hoy quise instalar opera y resulta que el centro de software me dice apenas lo abro que "No se puede instalar software nuevo porque hay un problema con el software instalado actualmente. ¿Quiere reparar el problema ahora?".

Le doy al botón reparar, pongo la contraseña de root y salta error.

http://pastebin.com/99KUrrp4

Voy a la consola y hago apt-get check y apt-get -f. Se supone que repara las dependencias, pero el problema persiste. Vuelvo al centro de software: otra vez error.
Al repetir el sudo apt-get -f me dice

dpkg: error fatal irrecuperable, abortando:
falta un salto de línea nueva al final del fichero de lista de ficheros del paquete `kdelibs5-data'
E: Sub-process /usr/bin/dpkg returned an error code (2)

Ya no sé qué hacer. Si alguien me ilumina... Muchas gracias

Imagen de cuentos
+1
0
-1

Tienes un sistema roto, y lo mas probable es que instalaste algún ppa.
Y forzar la instalación (con -f). Puedes acabar con el sistema.
Mira que te dice este comando para ver los ppa (repositorios externos, que sueles encontrar en artículos como quieres la version mas nueva de gimp, agrega ese ppa.....)
ls /etc/apt/sources.list.d
P:D: para textos tan largos se pide que se pongan en http://paste.ubuntu.com/ y poner la liga aquí.

+1
0
-1

(recordatorio) -+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-
Si el problema se soluciono, edita el 1° hilo, y agrega (Solucionado), para tener el foro mas ordenado.
Y finaliza poniendo la solución para que sirva para otros Usuarios.
Twitter @mcuentos

Imagen de Jose Luis 1320
+1
0
-1

Por favor, evitanos la molestia de navegar hasta abajo pasando por todo tu texto, simplemente por que no tienes la consideración de subir tu texto en un pastebin y ponernos el enlace... hazlo ahora por favor.

Segundo... ¿actualizaste y tenías PPAs? Tema recurrente en el foro, los PPAs debes saber utilizarlos y lo que implica tenerlos.

Estos problemas de dependencias que describes pasan por eso, por PPAs y por usar repositorios externos; debes REMOVERLOS todos antes de hacer una actualización.

Con la descripción escueta de tu problema, es la única explicación que se le puede dar.

+1
0
-1

"Yo sólo se que no se nada"
-Sócrates, filósofo griego.
-Normas del foro

Imagen de gragry
+1
0
-1

Ahora, ¿hay espacio en este foro para los que no saben usar los ppa? Digo, yo no me entero de que mi problema es por los ppa, por eso pregunto. A mí me saltan estos errores y no me entero que es por los ppa. Sí veo que hay muchos problemas en el foro por este tema, pero nada de eso se relaciona rápidamente con lo que a mí me pasa, a menos a ojos de un usuario menos que medio, como yo. Tengan en cuenta eso, por favor.

Yo solo tengo uno, el del jdownloader, java y varios de kubuntu... (http://ppa.launchpad.net/kubuntu-ppa/backports/ubuntu) Y todos estaban hace veinte días y no tenía problemas de dependencias ni nada de esto.

El comando que me indicaste tira esta info:

dropbox.list jd-team-jdownloader-raring.list kubuntu-ppa-backports-raring.list virtualbox.list webupd8team-java-raring.list
dropbox.list.save jd-team-jdownloader-raring.list.save kubuntu-ppa-backports-raring.list.save virtualbox.list.save webupd8team-java-raring.list.save

No entendí lo que quisiste decir con gimp. Yo no me metí con gimp.

No sé qué otros datos puedo darles para que sepan cómo ayudarme. No estaba actualizando, solo quería instalar opera.

¿Cuándo se descajetó el sistema? ¿Tengo que desinstalar el jdownloader y java? ¿Cómo deshabilito los ppa estos?

Además, les agradecería que puedan indicarme algún tutorial que me enseñe lo que preciso saber para poder usar los ppa sin peligro, se los agradeceré.

+1
0
-1
Imagen de Jose Luis 1320
+1
0
-1

Pero para quienes leen y se involucran antes de hacer cualquier cosa... puesto que si no sabes los problemas que conlleva el usar un PPA... entonces vienes aqui y preguntas por un tema que esta completamente sobre tratado en el foro y ni siquiera te tomaste tiempo en buscar.

Si, tu tema esta 100 % relacionado con los demás temas que ya habrás leído.

Yo solo tengo uno, el del jdownloader, java y varios de kubuntu...

¿No se te hacen demasiados?.

Y bueno, tienes demasiados PPAs:

dropbox.list jd-team-jdownloader-raring.list  kubuntu-ppa-backports-raring.list virtualbox.list webupd8team-java-raring.list
dropbox.list.save jd-team-jdownloader-raring.list.save kubuntu-ppa-backports-raring.list.save virtualbox.list.save webupd8team-java-raring.list.save

Para removerlos, busca en el foro, ya hemos dicho muchas veces como se remueven los ppa, busca por ppa-purge.

Y tutorial... bueno solamente usa los PPAs para software que NO hay en los repositorios oficiales, olvídate de webupd8, olvidate de virtualbox, o bien los puedes usar (bajo tu propio riesgo, si tienes problemas aunque sea para instalar un programa, entonces ya sabes por que lo tienes) pero cuando actualices borralos completamente.

+1
0
-1

"Yo sólo se que no se nada"
-Sócrates, filósofo griego.
-Normas del foro

Imagen de cuentos
+1
0
-1

lo de gimp era un ejemplo, y como te dijo José Luis si, tienes demasiados, para mi gusto. que nunca los utilizo por lo mismo, en tu caso dices que tienes 20 días, pero cuando hay una actualización por decirlo importante salen los errores de dependencias.
Los ppa se recomiendan solo para programas que no estén en los repositorios.
Trata de borrar todos, con esta liga que te pongo,
http://diversidadyunpocodetodo.blogspot.mx/2013/02/ppa-purge-eliminar-ag...
Y una vez que los borres actualiza para ver si ya no hay problemas de dependencias, con:
sudo apt-get update
sudo apt-get upgrade
si ya no tire da error de dependencias, ya mas o menos puedes agregar los ppa que necesites.

+1
0
-1

(recordatorio) -+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-
Si el problema se soluciono, edita el 1° hilo, y agrega (Solucionado), para tener el foro mas ordenado.
Y finaliza poniendo la solución para que sirva para otros Usuarios.
Twitter @mcuentos

Imagen de gragry
+1
0
-1

No entiendo cómo yo puedo leer todos esos errores que me tiró y deducir que son los ppa. Por un instante ponte en el lugar del un usuario medio que no tiene tu camino recorrido al interpretar errores. Nunca pensé que tener dos ppa externos y otros de la distribución, son demasiados. Sí, me voy a poner a leer todos los datos que hay por ahí, no soy una tonta que anda haciendo trastadas con su sistema.
Necesito la máquina virtual y el dropbox (que no son ppa, digo, no están como ppa en los orígenes de software sino en el listado que obtuve con el comando que me indicaste). Ambos los descargué de las webs oficiales y obtuve paquetes .deb. No hay modo de que pueda darme cuenta de que son nocivos para mi sistema.

Leeré lo del ppa purge y haré el update y upgrade. Y veremos si se soluciona. Sino, vuelta a reinstalar.
Otra vez muchas gracias por responder mis dudas.

+1
0
-1
Imagen de cuentos
+1
0
-1

y digo posiblemente el que te rompió el sistema se:
kubuntu-ppa-backports-raring.list
Y también por lo que veo actualizaste de una versión anterior con estos ppa. (por los .save)
EDITO:
Los sistemas GNU-linux, cuando solo utilizas los repositorios oficiales, difícilmente (por no decir imposible). rompen las dependencias del mismo.
solo que el usuario agregue un ppa, o fuerze la instalación de un deb. (en sistemas debian y derivados).

+1
0
-1

(recordatorio) -+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-
Si el problema se soluciono, edita el 1° hilo, y agrega (Solucionado), para tener el foro mas ordenado.
Y finaliza poniendo la solución para que sirva para otros Usuarios.
Twitter @mcuentos

Imagen de gragry
+1
0
-1

Pues no me deja instalar el ppa purgue por los problemas de dependencias.

Los ppa los desmarqué de la opción Otro Software. Aún así no me deja instalar el purgue.
Los borro y tampoco me deja.

A menos que haya otra sugerencia veré de reinstalar...

+1
0
-1
Imagen de gragry
+1
0
-1

y digo posiblemente el que te rompió el sistema se:
kubuntu-ppa-backports-raring.list
Y también por lo que veo actualizaste de una versión anterior con estos ppa. (por los .save)

Sí, ese software estaba instalado en otras instalaciones que hice. Siempre lo instalo. Saco el backports también...

Veré de reinstalar la semana que viene, con la instalación limpia bajar el purgue este y luego poner el dropbox y el virtualbox.
Por cierto, la instalación de virtualbox la hice siguiendo el tutorial del sitio que me recomendaste, ni más ni menos. :S

+1
0
-1
Imagen de cuentos
+1
0
-1

cuando estas en una versión por decir 12.10, y quieres actualizar a 13.04. Es altamente recomendable borrar todos los ppa que tengas con ppa-purgue, actualizar de versión, y luego si existe el ppa para 13.04 (que es el ejemplo que estoy dando). Agregar el ppa nuevo.
Y como ya se había comentado, tratar con los menos posible.
EDITO:
http://www.ubuntu-es.org/node/179430#.Ue1q_U3yQ1g

+1
0
-1

(recordatorio) -+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-
Si el problema se soluciono, edita el 1° hilo, y agrega (Solucionado), para tener el foro mas ordenado.
Y finaliza poniendo la solución para que sirva para otros Usuarios.
Twitter @mcuentos

Imagen de cuentos
+1
0
-1

ultima opción descarga el programa e instala desde la terminal
http://packages.ubuntu.com/raring/ppa-purge
si das click en donde dice arquitectura; all te manda
http://packages.ubuntu.com/raring/all/ppa-purge/download
y solo es cuestión de presionar en un mirror.
para instalarlo desde la terminal con dpkg,
sudo dpkg -i paquete.deb

+1
0
-1

(recordatorio) -+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-
Si el problema se soluciono, edita el 1° hilo, y agrega (Solucionado), para tener el foro mas ordenado.
Y finaliza poniendo la solución para que sirva para otros Usuarios.
Twitter @mcuentos

Imagen de Jose Luis 1320
+1
0
-1

Que tu borres los ppa desde orígenes del software no cambia nada, puesto que los paquetes conflictivos los seguirás teniendo.

ppa-purge lo que hace es borrar los paquetes que instalaste desde cada PPA y con eso se intenta arreglar el sistema.

Si no puedes instalar ppa-purge, tal vez de manera manual lo puedas instalar... descargalo desde aquí, luego desde Terminal (Ctrl + T)

cd /directorio/en/donde/descargaste/el/archivo
sudo dpkg -i ppa-purge_0.2.8+bzr57_all.deb

Y tanto dropbox como virtualbox SON PPAs, estos se guardan SIEMPRE en /etc/apt/sources.list.d/

También solo un PPA puede romper completamente el sistema, en este caso el de Kubuntu backports, pudo haber sido quien rompió el sistema, pero por ahora vas a borrar también el de virtualbox y el de dropbox.

jdownloadrer también es un PPA, el de Java que ofrece webupd8 también es un PPA y le debes poner también atención.

+1
0
-1

"Yo sólo se que no se nada"
-Sócrates, filósofo griego.
-Normas del foro

Imagen de gragry
+1
0
-1

Muchas gracias. La letra con sangre entra ¿no?

Pues resulta que tampoco puedo instalar el purgue

$ sudo dpkg -i ppa-purge_0.2.8+bzr57_all.deb
Seleccionando el paquete ppa-purge previamente no seleccionado.
dpkg: error fatal irrecuperable, abortando:
falta un salto de línea nueva al final del fichero de lista de ficheros del paquete `kdelibs5-data'

Y así estamos, el kdelibs5-data traba todo el tema. Le doy por terminado y procedo a reinstalar.

Muchas gracias por la ayuda.

+1
0
-1
Imagen de Jose Luis 1320
+1
0
-1

detrás de el hay cientos de paquetes que no estan correctamente configurados... Entonces sí... rompiste el sistema, ni modo a reinstalar.

Lo úlitmo podría ser compilar ppa-purge, pero no sabemos que dependencias necesita y el sistema no esta para instalar nada, 100 % roto.

+1
0
-1

"Yo sólo se que no se nada"
-Sócrates, filósofo griego.
-Normas del foro